unit pop1;

interface

uses crt,interf;

type res_record=record
     res_name:string[25];
     res_tax:real;
     res_amount:real;
     end;
     rub_record=record
     rub_name:string[25];
     rub_tax:real;
     rub_norm:real;
     fine:real;
     end;

var x,y,x1,y1,x2,y2,i,res_num,rub_num:integer;
    key:char;
    multi:boolean;
    res_rec:res_record;
    rub_rec:rub_record;
    res_file:file of res_record;
    rub_file:file of rub_record;

procedure input_resourse(multi:boolean);
procedure input_rubbish(multi:boolean);
procedure res_list;
procedure rub_list;
procedure msg_empty;

implementation

procedure input_resourse(multi:boolean);
label 1;
begin
     key:=#0;
     if multi=false then
        begin
             reset(res_file);
             seek(res_file,filesize(res_file));
        end;

     x1:=18;x2:=61;
     y1:=7;y2:=15;
     x:=x2-x1;
     y:=y2-y1;

     win(x1,y1,x2,y2);
     textbackground(4);
     textcolor(15);
     clrscr;
     border(x,y);

     gotoxy(4,1);
     write(' Resursu ievade ');

     gotoxy(5,3);
     write('Nosaukums:');
     gotoxy(5,5);
     write('Nodoklis :');
     gotoxy(5,7);
     write('Daudzums :');
     hidecursor(2,4);

     repeat
     window(33,9,57,9);
     textbackground(0);
     clrscr;
     window(33,11,47,11);
     textbackground(0);
     clrscr;
     window(33,13,47,13);
     textbackground(0);
     clrscr;
     window(x1,y1,x2,y2);

     gotoxy(16,3);
     readln(res_rec.res_name);
     if res_rec.res_name='q' then goto 1;

     gotoxy(16,5);
     readln(res_rec.res_tax);

     gotoxy(16,7);
     readln(res_rec.res_amount);

     if multi=false then res_num:=res_num+1;

     write(res_file,res_rec);
     if multi=true then goto 1;
     until key=#27;
     1:
     hidecursor(2,0);
end;

procedure input_rubbish(multi:boolean);
label 1;
begin
     key:=#0;
     if multi=false then
        begin
             reset(rub_file);
             seek(rub_file,filesize(rub_file));
        end;

     x1:=18;x2:=62;
     y1:=7;y2:=17;
     x:=x2-x1;
     y:=y2-y1;

     win(x1,y1,x2,y2);
     textbackground(4);
     textcolor(15);
     clrscr;
     border(x,y);

     gotoxy(4,1);
     write(' Blakusproduktu ievade ');

     gotoxy(5,3);
     write('Nosaukums :');
     gotoxy(5,5);
     write('Nodoklis  :');
     gotoxy(5,7);
     write('Norma     :');
     gotoxy(5,9);
     write('Soda nauda:');
     hidecursor(2,4);

     repeat
     window(34,9,57,9);
     textbackground(0);
     clrscr;
     window(34,11,47,11);
     textbackground(0);
     clrscr;
     window(34,13,47,13);
     textbackground(0);
     clrscr;
     window(34,15,47,15);
     textbackground(0);
     clrscr;
     window(x1,y1,x2,y2);

     gotoxy(17,3);
     readln(rub_rec.rub_name);
     if rub_rec.rub_name='q' then goto 1;

     gotoxy(17,5);
     readln(rub_rec.rub_tax);

     gotoxy(17,7);
     readln(rub_rec.rub_norm);

     gotoxy(17,9);
     readln(rub_rec.fine);

     if multi=false then rub_num:=rub_num+1;

     write(rub_file,rub_rec);
     if multi=true then goto 1;
     until key=#27;
     1:
     hidecursor(2,0);
end;

procedure res_list;
var pos,nr,y:integer;
begin
     key:=#0;

     window(1,25,80,25);
     textbackground(7);
     clrscr;
     gotoxy(2,1);
     textcolor(4);
     write('F4');
     gotoxy(5,1);
     textcolor(0);
     write('Edit');
     gotoxy(11,1);
     textcolor(4);
     write('ESC');
     gotoxy(15,1);
     textcolor(0);
     write('Cancel');

     window(12,3,68,3);
     textbackground(5);
     textcolor(15);
     clrscr;
     gotoxy(2,1);
     write('RESURSU NOSAUKUMS');
     gotoxy(30,1);
     write('NODOKLIS');
     gotoxy(45,1);
     write('DAUDZUMS');

     window(12,4,68,23);
     textbackground(1);
     textcolor(15);
     clrscr;
     pos:=1;

     while key<>#27 do
     begin

     textbackground(1);
     textcolor(15);
     clrscr;
     gotoxy(1,1);

     nr:=1; y:=1;
     reset(res_file);
     while not eof(res_file) do
     begin
          read(res_file,res_rec);
          if pos=nr then
                      begin
                           textbackground(4);
                           textcolor(15);
                           clreol;
                      end;

          gotoxy(2,y);
          writeln(res_rec.res_name);
          gotoxy(30,y);
          writeln(res_rec.res_tax:8:2);
          gotoxy(45,y);
          writeln(res_rec.res_amount:8:2);
          y:=y+1;
          textbackground(1);
          textcolor(15);
          nr:=nr+1;
     end;

     key:=readkey;
          if key=#80 then
             if pos<res_num then pos:=pos+1 else pos:=1;
          if key=#72 then
             if pos>1 then pos:=pos-1 else pos:=res_num;
          if (key=#62) and (res_num<>0) then
                         begin
                              seek(res_file,pos-1);
                              input_resourse(true);
                              window(12,4,68,23);
                         end;

     end;
end;

procedure rub_list;
var pos,nr,y:integer;
begin
     key:=#0;

     window(1,25,80,25);
     textbackground(7);
     clrscr;
     gotoxy(2,1);
     textcolor(4);
     write('F4');
     gotoxy(5,1);
     textcolor(0);
     write('Edit');
     gotoxy(11,1);
     textcolor(4);
     write('ESC');
     gotoxy(15,1);
     textcolor(0);
     write('Cancel');

     window(12,3,68,3);
     textbackground(5);
     textcolor(15);
     clrscr;
     gotoxy(2,1);
     write('BLAKUSPRODUKTU NOSAUKUMS');
     gotoxy(30,1);
     write('NODOKLIS');
     gotoxy(44,1);
     write('SODA NAUDA');

     window(12,4,68,23);
     textbackground(1);
     textcolor(15);
     clrscr;
     pos:=1;

     while key<>#27 do
     begin

     textbackground(1);
     textcolor(15);
     clrscr;
     gotoxy(1,1);

     nr:=1; y:=1;
     reset(rub_file);
     while not eof(rub_file) do
     begin
          read(rub_file,rub_rec);
          if pos=nr then
                      begin
                           textbackground(4);
                           textcolor(15);
                           clreol;
                      end;

          gotoxy(2,y);
          writeln(rub_rec.rub_name);
          gotoxy(30,y);
          writeln(rub_rec.rub_tax:8:2);
          gotoxy(45,y);
          writeln(rub_rec.fine:9:2);
          y:=y+1;
          textbackground(1);
          textcolor(15);
          nr:=nr+1;
     end;

     key:=readkey;
          if key=#80 then
             if pos<rub_num then pos:=pos+1 else pos:=1;
          if key=#72 then
             if pos>1 then pos:=pos-1 else pos:=rub_num;
          if (key=#62) and (rub_num<>0) then
                         begin
                              seek(rub_file,pos-1);
                              input_rubbish(true);
                              window(12,4,68,23);
                         end;
     end;
end;

procedure msg_empty;
begin
     x1:=23;x2:=56;
     y1:=9;y2:=13;
     x:=x2-x1;
     y:=y2-y1;

     win(x1,y1,x2,y2);
     textbackground(4);
     textcolor(15);
     clrscr;
     border(x,y);

     gotoxy(4,1);
     write(' Paziojums ');

     gotoxy(5,3);
     textcolor(14+128);
     write('Saraksts ir tuks!');
     textcolor(15);

     readkey;
end;

end.
